/*******************************************************************************
 * University of Illinois/NCSA
 * Open Source License
 *
 * Copyright (c) 2010 , NCSA.  All rights reserved.
 *
 * Developed by:
 * Cyberenvironments and Technologies (CET)
 * http://cet.ncsa.illinois.edu/
 *
 * National Center for Supercomputing Applications (NCSA)
 * http://www.ncsa.illinois.edu/
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal with the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 *
 * - Redistributions of source code must retain the above copyright
 *   notice, this list of conditions and the following disclaimers.
 * - Redistributions in binary form must reproduce the above copyright
 *   notice, this list of conditions and the following disclaimers in the
 *   documentation and/or other materials provided with the distribution.
 * - Neither the names of CET, University of Illinois/NCSA, nor the names
 *   of its contributors may be used to endorse or promote products
 *   derived from this Software without specific prior written permission.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE CONTRIBUTORS OR COPYRIGHT HOLDERS BE LIABLE FOR
 * ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS WITH THE SOFTWARE.
 *******************************************************************************/
package edu.uiuc.ncsa.cet.bean;

import java.util.Date;

public class CollectionBean extends CETBean implements CETBean.TitledBean
{

    static final long serialVersionUID = 0L;

    public CollectionBean()
    {
        super();
    }

    String description;

    public String getDescription()
    {
        return description;
    }

    public void setDescription( String description )
    {
        this.description = description;
    }

    public PersonBean getCreator()
    {
        return creator;
    }

    public void setCreator( PersonBean creator )
    {
        this.creator = creator;
    }

    public Date getCreationDate()
    {
        return creationDate;
    }

    public void setCreationDate( Date creationDate )
    {
        this.creationDate = creationDate;
    }

    public Date getLastModifiedDate()
    {
        return lastModifiedDate;
    }

    public void setLastModifiedDate( Date lastModifiedDate )
    {
        this.lastModifiedDate = lastModifiedDate;
    }

    public String getTitle()
    {
        return title;
    }

    public void setTitle( String title )
    {
        this.title = title;
    }

    @Override
    public String getLabel()
    {
        if ( label == null ) {
            return getTitle();
        }

        return super.getLabel();
    }

    PersonBean creator;
    Date       creationDate;
    Date       lastModifiedDate;
    String     title;

    @Override
    public boolean equals( Object object )
    {
        if ( object == null || !(object instanceof CollectionBean) ) {
            return false;
        }
        CollectionBean cb = (CollectionBean) object;
        return checkEquals( cb.getTitle(), getTitle() ) && checkEquals( cb.getCreator(), getCreator() ) && checkEquals( cb.getCreationDate(), getCreationDate() ) && checkEquals( cb.getLastModifiedDate(), getLastModifiedDate() ) && checkEquals( cb.getDescription(), getDescription() ) && checkEquals( cb.getUri(), getUri() );
    }

    boolean checkEquals( Object o1, Object o2 )
    {
        if ( o1 == null ) {
            if ( o2 == null ) {
                return true;
            } else {
                return false;
            }
        } else {
            if ( o2 == null ) {
                return false;
            } else {
                return o1.equals( o2 );
            }
        }

    }

    // DO NOT MAP THIS
    // for volitile storage only
    int memberCount = -1;

    public int getMemberCount()
    {
        return memberCount;
    }

    public void setMemberCount( int memberCount )
    {
        this.memberCount = memberCount;
    }
}
