/**
 * 
 */
package edu.uiuc.ncsa.cet.bean.rbac.medici;

/**
 * Permission values accommodate both positive permissions (allow), negative
 * permissions (deny), and non-positive permissions (do not allow).
 * 
 * In Medici <= 1.2 only positive and non-positive permission values are used;
 * values are combined using a logical AND. So if a user belongs to roles X and
 * Y, and X allows P0 and P1 and "does not allow" P2, and Y allows P1 and P2 and
 * "does not allow" P0, then the user has P0, P1, and P2.
 * 
 * @author futrelle
 * 
 */
public enum PermissionValue {
    DO_NOT_ALLOW("Do not allow"), ALLOW("Allow"), DENY("Deny");

    private final String name;

    private PermissionValue(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }
}